package org.jeecg.modules.apiService.impl;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.LoginApiService;
import org.jeecg.modules.bean.LoginReq;
import org.jeecg.modules.service.AppletLoginService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class LoginApiServiceImpl implements LoginApiService {
    @Resource
    private AppletLoginService appletLoginService;

    //小程序-登录接口
    @Override
    public Result<?> login(LoginReq loginReq)
    {
        return appletLoginService.appletLogin(loginReq);
    }


    //小程序-获取用户协议
    @Override
    public Result<?> getUserAgreement()
    {

        return Result.OK("用户协议");
    }

    //获取隐私政策
    @Override
    public Result<?> getPrivacyPolicy()
    {

        return Result.OK("隐私政策");
    }
}
